<!--
 Copyright (C) 2024 bAvenir

 This program and the accompanying materials are made
 available under the terms of the Eclipse Public License 2.0
 which is available at https://www.eclipse.org/legal/epl-2.0/

 SPDX-License-Identifier: EPL-2.0
-->

<div class="flex items-center h-full">
  <app-header-nav-button label="Marketplace" link="/marketplace/services" [activeUrls]="['/marketplace']" class="h-full">
    <ng-template #icon>
      <i class="fa fa-cloud" style="font-size: 1rem"></i>
    </ng-template>
  </app-header-nav-button>
  <ng-container *ngLet="node$ | async as node">
    <app-header-nav-button label="Data Broker" [link]="'/my-node/online/' + node?.nodeId" [activeUrls]="['/nodes']" class="h-full">
      <ng-template #icon>
        <i class="fa fa-circle-nodes" style="font-size: 1rem"></i>
      </ng-template>
    </app-header-nav-button>
  </ng-container>
  <app-header-nav-button label="My Organisation" link="/my-org" class="h-full">
    <ng-template #icon>
      <i class="fa fa-house-user" style="font-size: 1rem"></i>
    </ng-template>
  </app-header-nav-button>
</div>
